
;  USE with JT65Beacon, JT65X2_Beacon

	SERIALBITS	=	d'32'	;32 for LMX2541 synth
	GPSDataType	= 	1	;1 = NMEA  0 = Motorola Binary
	NMEAPol		=	1	;1 = RS232 Levels, 0 = TTL

	IGNOREPPS	=	1	;1 = Serial data timing only (less accurate), 0 = use PPS signal as well
	BOTHMINUTES	=	1	;1 = every minute, 0 = Alternate (even) minutes
	JT65SPEED	=	1	;0 = Normal 1 minute cycle,  1 = B2/C2 30s cycle

	CWSPEED		=	d'80'   ;CW Dot length, ms
	BAUD9600	=	d'40'	;6.N + 18 = Fc / Baud   or   N ~ (Fxtal / Baud)/24 - 3
	BAUD4800	=	d'83'		
	JT65CONST	=	d'907'	 ;Interrupt frequency / 2.691

	GRIDNUMBER	=	3	;Number of registers needed to set frequency grid


  org   0x2100

ConfigData		;32 bit words sent in sequence  for registers that remain unchanged
 ;  Fout 1296.78MHz  Resolution 10.Hz
  ;  R =  1      D =  500000      N =  259      F =  178000
;   de  0x00, 0x00, 0x00, 0x17    ;  Reg7   	;These sent as constants in SendfromEE routine
;   de  0x00, 0x00, 0x00, 0xCD    ;  Reg13   	;  Check Reg13 VCO_DIV_OPT setting
;   de  0x00, 0x00, 0x00, 0x1C    ;  Reg12   
;   de  0x28, 0x00, 0x14, 0x09    ;  Reg9   
    de  0x01, 0x11, 0xCE, 0x58    ;  Reg8   
   de  0x00, 0x1F, 0x33, 0x26    ;  Reg6   
   de  0xA0, 0x04, 0x00, 0x05    ;  Reg5   
   de  0xFF, 0x48, 0x20, 0xA4    ;  Reg4   
   de  0x00, 0xA8, 0x73, 0x03    ;  Reg3   

EndConfigData



JTFreqData				;10.7666Hz
   de  0x04, 0x71, 0x60, 0xF2    ;  Reg2   
   de  0x00, 0x80, 0x00, 0x11    ;  Reg1   
   de  0x85, 0xFA, 0x10, 0x30    ;  Reg0   

EndJTFreqData

CarrierFreqData				;10Hz
   de  0x04, 0x7A, 0x12, 0x02    ;  Reg2   
   de  0x00, 0x80, 0x00, 0x11    ;  Reg1   
   de  0xB7, 0x50, 0x10, 0x30    ;  Reg0   
EndCarrierFreqData

JT65MsgData
  include	"JT65SYMB.INC"     ;JT65 tones

CWMsg	
	de      "TESTING",0	;NULL TERMINATED
